using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Components4U.Web.UI.WebControls;


namespace WebCCValidatorSample
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class Sample : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.CheckBox cbAmex;
		protected System.Web.UI.WebControls.CheckBox cbBankCard;
		protected System.Web.UI.WebControls.CheckBox cbCarteBlanche;
		protected System.Web.UI.WebControls.CheckBox cbDelta;
		protected System.Web.UI.WebControls.CheckBox cbDinersClub;
		protected System.Web.UI.WebControls.CheckBox cbDiscover;
		protected System.Web.UI.WebControls.CheckBox cbEnRoute;
		protected System.Web.UI.WebControls.CheckBox cbJCB;
		protected System.Web.UI.WebControls.CheckBox cbMasterCard;
		protected System.Web.UI.WebControls.CheckBox cbSwitch;
		protected System.Web.UI.WebControls.CheckBox cbVisa;
		protected System.Web.UI.WebControls.Label ccLabel;
		protected System.Web.UI.WebControls.TextBox txtCCCNumber;
		protected System.Web.UI.WebControls.Button btnCheck;
		protected Components4U.Web.UI.WebControls.CreditCardValidator CCValidator;
		
		protected void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here

			//Initiate CCValidator with values selected in Vendor check boxes
			CCValidator.AllowAmericanExpress = cbAmex.Checked;
			CCValidator.AllowBankcard = cbBankCard.Checked;
			CCValidator.AllowDinersClubOrCarteBlanche = cbCarteBlanche.Checked;
			CCValidator.AllowVisaOrDelta = cbDelta.Checked;
			CCValidator.AllowDinersClubOrCarteBlanche = cbDinersClub.Checked;
			CCValidator.AllowDiscover = cbDiscover.Checked;
			CCValidator.AllowEnRoute = cbEnRoute.Checked;
			CCValidator.AllowJCB = cbJCB.Checked;
			CCValidator.AllowMasterCard = cbMasterCard.Checked;
			CCValidator.AllowSwitch = cbSwitch.Checked;
			CCValidator.AllowVisaOrDelta = cbVisa.Checked;
			
			//Validate credit card number in text box
			if(txtCCCNumber.Text!="")  CCValidator.Validate();
									  
			//Check if postback occured and credit card number is valid
			if(IsPostBack&CCValidator.IsValid)
			//if so, show valid alert
					this.RegisterClientScriptBlock("alert", "<script>alert('Card Number Is Valid');</script>");
			

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    

		}
		#endregion

		

	}
}
